# deployment microservices-oriented application in docker images
This git is containing a **docker-compose.yml** file for deploying in docker images all utility services:
 * a confguration server: ***microservices-config-service***
 * a microservices registration service: ***micoservices-registration-service***
 * a gateway service: ***backend-frontend-gateway-service***
 * a database service: ***microservices-db***
 
And all business services:

* a microservices of managing employees's addresses: ***clean-archi-business-service-address***
* a microservices of managing employees: ***clean-archi-business-service-employee***
* a microservices of managing projects: ***clean-archi-business-service-project***
* a microservices of managing companies: ***addressesclean-archi-business-service-company***

The backend(spring boot application) and frontend (angular application) of microservices-oriented application is located on the following git:
- [backend-part and frontend-part)](https://gitea.natan.fr/placidenduwayo/fullstack-application-springboot-angular.git)

## microservices configuration server
All services (utility services and business services) configiration files for config server are located on the following git:
- [services configuration files] (https://gitea.natan.fr/placidenduwayo/fullstack-application-springboot-angular-config-service.git)
